//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IssueStatusCodeLifeCycle.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="IssueStatusCodeLifeCycle"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="new"/&gt;
 *     &lt;enumeration value="open"/&gt;
 *     &lt;enumeration value="inprogress"/&gt;
 *     &lt;enumeration value="feedback"/&gt;
 *     &lt;enumeration value="closed"/&gt;
 *     &lt;enumeration value="rejected"/&gt;
 *     &lt;enumeration value="deferred"/&gt;
 *     &lt;enumeration value="cancelled"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "IssueStatusCodeLifeCycle")
@XmlEnum
public enum IssueStatusCodeLifeCycle {


    /**
     * Issue just created. It is new and will soon become a draft/open/finalized issue. Beyond the author, nobody should look at this issue unless it's
     *                         status code is open or beyond.
     * 
     */
    @XmlEnumValue("new")
    NEW("new"),

    /**
     * Issue is open, ready for actions to take on, also open for comments
     * 
     */
    @XmlEnumValue("open")
    OPEN("open"),

    /**
     * Issue is in progress
     * 
     */
    @XmlEnumValue("inprogress")
    INPROGRESS("inprogress"),

    /**
     * Issue is in progress but needs feedback from others
     * 
     */
    @XmlEnumValue("feedback")
    FEEDBACK("feedback"),

    /**
     * Issue is closed including an solution
     * 
     */
    @XmlEnumValue("closed")
    CLOSED("closed"),

    /**
     * Issue is rejected
     * 
     */
    @XmlEnumValue("rejected")
    REJECTED("rejected"),

    /**
     * Issue is deferred
     * 
     */
    @XmlEnumValue("deferred")
    DEFERRED("deferred"),

    /**
     * Issue is cancelled
     * 
     */
    @XmlEnumValue("cancelled")
    CANCELLED("cancelled");
    private final String value;

    IssueStatusCodeLifeCycle(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static IssueStatusCodeLifeCycle fromValue(String v) {
        for (IssueStatusCodeLifeCycle c: IssueStatusCodeLifeCycle.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
